FIX::PUGIXML_DOMNode Class Reference

XML node as represented by pugixml. More...

`#include <PUGIXML_DOMDocument.h>`

Inheritance diagram for FIX::PUGIXML_DOMNode:
[legend]
Collaboration diagram for FIX::PUGIXML_DOMNode:
[legend]

## Public Member Functions

| PUGIXML_DOMNode (pugi::xml_node pNode)
| ~PUGIXML_DOMNode ()
DOMNodePtr | getFirstChildNode ()
DOMNodePtr | getNextSiblingNode ()
DOMAttributesPtr | getAttributes ()
std::string | getName ()
std::string | getText ()
Public Member Functions inherited from FIX::DOMNode
virtual | ~DOMNode ()

## Private Attributes

pugi::xml_node | m_pNode

## Detailed Description

XML node as represented by pugixml.

Definition at line 46 of file PUGIXML_DOMDocument.h.

## Constructor & Destructor Documentation

## PUGIXML_DOMNode()

FIX::PUGIXML_DOMNode::PUGIXML_DOMNode | ( | pugi::xml_node | pNode | ) |

inline

Definition at line 49 of file PUGIXML_DOMDocument.h.

: m_pNode(pNode) {}
FIX::PUGIXML_DOMNode::m_pNode
pugi::xml_node m_pNode
Definition: PUGIXML_DOMDocument.h:60

## ~PUGIXML_DOMNode()

FIX::PUGIXML_DOMNode::~PUGIXML_DOMNode | ( |  | ) |

inline

Definition at line 51 of file PUGIXML_DOMDocument.h.

{}

## Member Function Documentation

## getAttributes()

DOMAttributesPtr FIX::PUGIXML_DOMNode::getAttributes | ( |  | ) |

virtual

Implements FIX::DOMNode.

Definition at line 58 of file PUGIXML_DOMDocument.cpp.

References FIX::PUGIXML_DOMAttributes::m_pNode, and FIX::PUGIXML_DOMAttributes::PUGIXML_DOMAttributes().

{
return DOMAttributesPtr(new PUGIXML_DOMAttributes(m_pNode));
}
FIX::DOMAttributesPtr
std::auto_ptr< DOMAttributes > DOMAttributesPtr
Definition: DOMDocument.h:43
FIX::PUGIXML_DOMNode::m_pNode
pugi::xml_node m_pNode
Definition: PUGIXML_DOMDocument.h:60

## getFirstChildNode()

DOMNodePtr FIX::PUGIXML_DOMNode::getFirstChildNode | ( |  | ) |

virtual

Implements FIX::DOMNode.

Definition at line 44 of file PUGIXML_DOMDocument.cpp.

References FIX::PUGIXML_DOMAttributes::m_pNode.

{
pugi::xml_node pNode = m_pNode.first_child();
if( !pNode ) return DOMNodePtr();
return DOMNodePtr(new PUGIXML_DOMNode(pNode));
}
FIX::PUGIXML_DOMNode::m_pNode
pugi::xml_node m_pNode
Definition: PUGIXML_DOMDocument.h:60
FIX::PUGIXML_DOMNode::PUGIXML_DOMNode
PUGIXML_DOMNode(pugi::xml_node pNode)
Definition: PUGIXML_DOMDocument.h:49
FIX::DOMNodePtr
std::auto_ptr< DOMNode > DOMNodePtr
Definition: DOMDocument.h:57

## getName()

std::string FIX::PUGIXML_DOMNode::getName | ( |  | ) |

virtual

Implements FIX::DOMNode.

Definition at line 63 of file PUGIXML_DOMDocument.cpp.

References FIX::PUGIXML_DOMAttributes::m_pNode.

{
return m_pNode.name();
}
FIX::PUGIXML_DOMNode::m_pNode
pugi::xml_node m_pNode
Definition: PUGIXML_DOMDocument.h:60

## getNextSiblingNode()

DOMNodePtr FIX::PUGIXML_DOMNode::getNextSiblingNode | ( |  | ) |

virtual

Implements FIX::DOMNode.

Definition at line 51 of file PUGIXML_DOMDocument.cpp.

References FIX::PUGIXML_DOMAttributes::m_pNode.

{
pugi::xml_node pNode = m_pNode.next_sibling();
if( !pNode ) return DOMNodePtr();
return DOMNodePtr(new PUGIXML_DOMNode(pNode));
}
FIX::PUGIXML_DOMNode::m_pNode
pugi::xml_node m_pNode
Definition: PUGIXML_DOMDocument.h:60
FIX::PUGIXML_DOMNode::PUGIXML_DOMNode
PUGIXML_DOMNode(pugi::xml_node pNode)
Definition: PUGIXML_DOMDocument.h:49
FIX::DOMNodePtr
std::auto_ptr< DOMNode > DOMNodePtr
Definition: DOMDocument.h:57

## getText()

std::string FIX::PUGIXML_DOMNode::getText | ( |  | ) |

virtual

Implements FIX::DOMNode.

Definition at line 68 of file PUGIXML_DOMDocument.cpp.

References FIX::PUGIXML_DOMAttributes::m_pNode.

{
return m_pNode.value();
}
FIX::PUGIXML_DOMNode::m_pNode
pugi::xml_node m_pNode
Definition: PUGIXML_DOMDocument.h:60

## Member Data Documentation

## m_pNode

pugi::xml_node FIX::PUGIXML_DOMNode::m_pNode

private

Definition at line 60 of file PUGIXML_DOMDocument.h.

The documentation for this class was generated from the following files:

- PUGIXML_DOMDocument.h
- PUGIXML_DOMDocument.cpp